{
   "format_version":"1.10.0",
   "animation_controllers":{
      "controller.animation.dead_wave":{
         "initial_state":"default",
         "states":{
            "default":{
               "animations":[
                  "idle"
               ],
               "blend_transition":0.7,
               "blend_via_shortest_path":true,
               "transitions":[
                  {
                     "spinning":"query.is_saddled"
                  }
               ]
            },
            "spinning":{
               "animations":[
                  "spinning"
               ],
               "blend_transition":0.7,
               "blend_via_shortest_path":true,
               "transitions":[
                  {
                     "default":"!query.is_saddled"
                  }
               ]
            }
         }
      }
   }
}